GNU bug report logs - #38232
Cuirass: Some builds fail although their log file ends with 'build-succeeded'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Clément Lassieur <clement@HIDDEN>; dated Sat, 16 Nov 2019 18:27:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 38232 <at> debbugs.gnu.org:


Received: (at 38232) by debbugs.gnu.org; 18 Nov 2019 20:22:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 15:22:30 2019
Received: from localhost ([127.0.0.1]:46301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWnXa-00034E-J7
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 15:22:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iWnXY-00033z-37
 for 38232 <at> debbugs.gnu.org; Mon, 18 Nov 2019 15:22:29 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33067)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iWnXS-0003pr-RW; Mon, 18 Nov 2019 15:22:22 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=57556 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iWnXS-0005S7-Dw; Mon, 18 Nov 2019 15:22:22 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
References: <87y2wfptj5.fsf@HIDDEN> <87y2wei4cn.fsf@HIDDEN>
 <877e3xjevh.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 Brumaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 18 Nov 2019 21:22:20 +0100
In-Reply-To: <877e3xjevh.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Mon, 18 Nov 2019 18:03:46 +0100")
Message-ID: <87blt9gcjn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38232
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:

>> Perhaps the build failed (transient failure or something) but was
>> eventually restarted either as a dependency of some other build or
>> manually on berlin.  In that case Cuirass may be unaware that the build
>> eventually succeeded, hence the discrepancy.
>
> Thank you for the explanation.  Would it make sense to copy the log file
> to some other place when the build is done?  The web interface would
> fetch it there, and we would be sure it matches the associated Cuirass
> build.

Build logs are kept by guix-daemon under /var/log/guix/drvs.  They are
indexed by derivation, meaning that there can be only one log per
derivation.

This is a limitation in cases where builds are retried.  Initially
Mathieu Lirzin thought about keeping logs elsewhere so we could
distinguish between several attempts to build a derivation.  However,
that=E2=80=99s kind of redundant with what the daemon does, and not frequen=
tly
useful.

Now, it is indeed useful in some cases, so we could do something like
you describe.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at 38232 <at> debbugs.gnu.org:


Received: (at 38232) by debbugs.gnu.org; 18 Nov 2019 17:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 12:04:00 2019
Received: from localhost ([127.0.0.1]:46149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWkRU-0005Zj-6Q
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:04:00 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:42990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iWkRR-0005ZV-HE
 for 38232 <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:03:58 -0500
Received: by mail-wr1-f41.google.com with SMTP id a15so20406777wrf.9
 for <38232 <at> debbugs.gnu.org>; Mon, 18 Nov 2019 09:03:57 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=fFLF7jJLfPIeZDs2v/g3pg1xxrbtoozZ84lBJBpZCvg=;
 b=HEV/EY1GSsPhCJURoNU4kdXbnWVEU7sA5JYHipCskhA7SSH9EvDZZ2lxyJcnWERfJ+
 uB5h+PYEz/VR0cq4P+ZN4Lg4mioc5SCrFWHYsz+uQ8gJ9/HmDQLQYoMfU7cJ+DHrKINz
 9wrQ7rB3nGHYAslQCSh7FNSymN78UyKeap+1zxRuRXL8dRybu+ES/uTdWhzejjyp44cl
 H9Qpwk/vMf9z/F7aXzQEQS1dChBR1jsDAk9nj/GN//hPECDuZY3Mc7jyHL0AeC+Xse9x
 9x92XGkSUT03nJgzwhlXrztfgHf66DeoN7KGWzsH0/s636aEtYFUB2bHFYju67GTiNfJ
 sthw==
X-Gm-Message-State: APjAAAWmecN0pRfM+rx8613FdH3KyXZoB/UsV8K+jQs/KF0OxMiYiKJH
 meHiRyMwpjzKq2wi26IpBN98C144
X-Google-Smtp-Source: APXvYqyiCp9CG3TgqrNvO3m9ZwE0a+7YmBaBOGntEynfnwGfax5Ev5tTD0lBj+bqgO2xaZprHuoYLQ==
X-Received: by 2002:a5d:4c8c:: with SMTP id z12mr17520681wrs.347.1574096630434; 
 Mon, 18 Nov 2019 09:03:50 -0800 (PST)
Received: from newt (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id y6sm23744468wrw.6.2019.11.18.09.03.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 18 Nov 2019 09:03:46 -0800 (PST)
References: <87y2wfptj5.fsf@HIDDEN> <87y2wei4cn.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
In-reply-to: <87y2wei4cn.fsf@HIDDEN>
Date: Mon, 18 Nov 2019 18:03:46 +0100
Message-ID: <877e3xjevh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Ludovic, > Perhaps the build failed (transient failure
 or something) but was > eventually restarted either as a dependency of some
 other build or > manually on berlin. In that case Cuirass may be unaware
 that [...] 
 Content analysis details:   (4.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [62.23.167.188 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (clement.lassieur[at]gmail.com)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.41 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.41 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: 38232
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Ludovic, > Perhaps the build failed (transient failure
   or something) but was > eventually restarted either as a dependency of some
    other build or > manually on berlin. In that case Cuirass may be unaware
   that [...] 
 
 Content analysis details:   (3.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.41 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [62.23.167.188 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.41 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (clement.lassieur[at]gmail.com)
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different

Hi Ludovic,

> Perhaps the build failed (transient failure or something) but was
> eventually restarted either as a dependency of some other build or
> manually on berlin.  In that case Cuirass may be unaware that the build
> eventually succeeded, hence the discrepancy.

Thank you for the explanation.  Would it make sense to copy the log file
to some other place when the build is done?  The web interface would
fetch it there, and we would be sure it matches the associated Cuirass
build.

Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at 38232 <at> debbugs.gnu.org:


Received: (at 38232) by debbugs.gnu.org; 17 Nov 2019 21:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 16:24:19 2019
Received: from localhost ([127.0.0.1]:42801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWS1q-0002DO-12
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 16:24:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iWS1o-0002DA-L9
 for 38232 <at> debbugs.gnu.org; Sun, 17 Nov 2019 16:24:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41830)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iWS1j-00012a-6g; Sun, 17 Nov 2019 16:24:11 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52798 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iWS1h-0001pm-OB; Sun, 17 Nov 2019 16:24:10 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
References: <87y2wfptj5.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 Brumaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 17 Nov 2019 22:24:08 +0100
In-Reply-To: <87y2wfptj5.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Sat, 16 Nov 2019 19:26:06 +0100")
Message-ID: <87y2wei4cn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38232
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Cl=C3=A9ment,

Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:

> See https://ci.guix.info/build/1934383/details.

Perhaps the build failed (transient failure or something) but was
eventually restarted either as a dependency of some other build or
manually on berlin.  In that case Cuirass may be unaware that the build
eventually succeeded, hence the discrepancy.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at 38232 <at> debbugs.gnu.org:


Received: (at 38232) by debbugs.gnu.org; 17 Nov 2019 10:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 05:57:00 2019
Received: from localhost ([127.0.0.1]:40394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWIEl-0006bC-Fl
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 05:57:00 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:35534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWIEh-0006ai-In
 for 38232 <at> debbugs.gnu.org; Sun, 17 Nov 2019 05:56:56 -0500
Received: by mail-wr1-f50.google.com with SMTP id s5so16107055wrw.2
 for <38232 <at> debbugs.gnu.org>; Sun, 17 Nov 2019 02:56:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=vG0AmyJ+adwagTtm4NJWXATDEqwBF6fcW+A8lGT6OxA=;
 b=XH7h01BXRIKGeD44BbDzW+ix9C9k4+crHwKBZXHSc+zQgss1h+cIFgh7roWxcJWOzN
 +LAyYHnWZrT1h40DdED3XmhF0GVYvcUfMy41ML962LaWXT1QOdp3ho5oPfnPiYaDob54
 mvLKdnJRONGIU4HXhBYR+oW8t1DHIVI67w5PJsGcJ8v/hXdEJuAWCv9lwsdNJSDzwyB0
 TO96NXSbNILE3ZPJqCJGi0CULsMmRAk6IgFULI8h2NV42o5UXG8lhnbnQxXnOBSfYJpI
 ha5YcfgBRDKL0VREDUWDldlS7zUkCFGOC1PvKgjwwAOsbetDxTCJhnYPWL7b8NmCNvHr
 BN0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=vG0AmyJ+adwagTtm4NJWXATDEqwBF6fcW+A8lGT6OxA=;
 b=N9jpPJztnhgV1VmytOFwFAAL4P92uT3rGHEEmgC5z3OIiY5pASDlYF4+0C9vQ6aRy5
 hD3zvs/TgFN9mGgnW8ctiqFazcP+jFRIkjHW81uSJcvX5nst0CWWsIE1LNCoDvrvl1o6
 CuZPSOLxnPd1GUz4UFJOor8A8X4yD1dsi8OJYVt06oN/lSRM2Y2nIscGg0+tran059w6
 YjG4a01M5nrqAf6pRI+wV0LQWlIB+fjWSz9smcdAXTORGeNDfwqk9cr77W+U8Nl2yqPl
 uC+zybjH1ny5VVHINMtknfyaem00DDsCv1OSZ2oztWyVDHEdvmIeKilgsuca3fO3nm/T
 1tLw==
X-Gm-Message-State: APjAAAWXTl7oaTvqzxdArPDP+vluyT12BuBNjVlveX2hjShD+4P8882f
 DCe/sEztMeNkj5BQTkbq4PR36oQ5
X-Google-Smtp-Source: APXvYqzpP4x2uUCl+LnV2RO+e0P1/T7+FtOMIVKHnuNBVrJtBkuBstWgNFrD1DkaMK2etkPcN1v9Rw==
X-Received: by 2002:a5d:518c:: with SMTP id k12mr24553636wrv.104.1573988209372; 
 Sun, 17 Nov 2019 02:56:49 -0800 (PST)
Received: from cervin ([2a01:e0a:fa:a50:91fd:8f59:7912:94f9])
 by smtp.gmail.com with ESMTPSA id f67sm16510768wme.16.2019.11.17.02.56.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 Nov 2019 02:56:48 -0800 (PST)
References: <87y2wfptj5.fsf@HIDDEN> <874kz2vrem.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
In-reply-to: <874kz2vrem.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 11:56:41 +0100
Message-ID: <8736emvkie.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38232
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> It seems to be also an issue for evaluations that look successful but
> are reported as failed, see here:

Looking at those evaluation logs, I think there is yet another issue. On
core-updates:

* Evaluation 8747 fails because it cannot build curl
(https://ci.guix.gnu.org/eval/8748/log/raw).

* Next evaluation 8762, considers curl build as previously failed:
--8<---------------cut here---------------start------------->8---
Computing Guix derivation for 'x86_64-linux'...  builder for `/gnu/store/1510sg9h2ivq4841gqm9dhmq5l50a52b-curl-7.66.0' failed previously (cached)
@ build-failed /gnu/store/pqfnxfk5xx0ngc32wlq87vhchh80mnkw-curl-7.66.0.drv - cached--8<---------------cut here---------------end--------------->8---
and fails immediately.

The curl build problem (at 8747 evaluation) seems related to some failed
test case (1242) that I cannot reproduce locally.

Will all future evaluations re-use this cache and also fail immediately?
If yes, how can we unblock the situation?

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Nov 2019 10:56:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 05:56:55 2019
Received: from localhost ([127.0.0.1]:40391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWIEh-0006aw-3f
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 05:56:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:39067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWIEf-0006an-HG
 for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 05:56:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37658)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWIEe-0006SI-6W
 for bug-guix@HIDDEN; Sun, 17 Nov 2019 05:56:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWIEd-0000hI-2b
 for bug-guix@HIDDEN; Sun, 17 Nov 2019 05:56:52 -0500
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:44793)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1iWIEc-0000gY-SX
 for bug-guix@HIDDEN; Sun, 17 Nov 2019 05:56:51 -0500
Received: by mail-wr1-x434.google.com with SMTP id f2so16071360wrs.11
 for <bug-guix@HIDDEN>; Sun, 17 Nov 2019 02:56:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=vG0AmyJ+adwagTtm4NJWXATDEqwBF6fcW+A8lGT6OxA=;
 b=XH7h01BXRIKGeD44BbDzW+ix9C9k4+crHwKBZXHSc+zQgss1h+cIFgh7roWxcJWOzN
 +LAyYHnWZrT1h40DdED3XmhF0GVYvcUfMy41ML962LaWXT1QOdp3ho5oPfnPiYaDob54
 mvLKdnJRONGIU4HXhBYR+oW8t1DHIVI67w5PJsGcJ8v/hXdEJuAWCv9lwsdNJSDzwyB0
 TO96NXSbNILE3ZPJqCJGi0CULsMmRAk6IgFULI8h2NV42o5UXG8lhnbnQxXnOBSfYJpI
 ha5YcfgBRDKL0VREDUWDldlS7zUkCFGOC1PvKgjwwAOsbetDxTCJhnYPWL7b8NmCNvHr
 BN0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=vG0AmyJ+adwagTtm4NJWXATDEqwBF6fcW+A8lGT6OxA=;
 b=DN7F8YwKWNgH4kxmmAjsOBGBS1JTBfIyqil5hG3qBHA85mGReMzb3ZDsZl3kEFD3F1
 b6IFO97eECnoSRbCGlOxXuj5U1LFtAc4bZZYlW2ASEdz12ho7t+D834rj4q04lXmkS+D
 8HqerldkmCMdtBY/XEswAHzrE3++p/bbboynxG1Svl+mdPjYKYeJ1evKQPomo13ZeQld
 b8Q0RbZ0uqC4s9j3MDjYGltsFN7P/AvvHI9zf2sf/6yVHPuOHXxC2Z9jRUkT6wC+IrsD
 Mx5GTWHX4ObpbzoCUevRE9CQQBJDLApM0tcOvWM8v+3CX4PePM0pWP1jxFSsMk1qKmrG
 fG5w==
X-Gm-Message-State: APjAAAWHR4GjpS+Gmi9hpQLnlw0o3kwNuxTs/HeCzIytzeHRVrVFn9w/
 bl3BpN1yzUkKHN68u0zZZrjfs7Z9
X-Google-Smtp-Source: APXvYqzpP4x2uUCl+LnV2RO+e0P1/T7+FtOMIVKHnuNBVrJtBkuBstWgNFrD1DkaMK2etkPcN1v9Rw==
X-Received: by 2002:a5d:518c:: with SMTP id k12mr24553636wrv.104.1573988209372; 
 Sun, 17 Nov 2019 02:56:49 -0800 (PST)
Received: from cervin ([2a01:e0a:fa:a50:91fd:8f59:7912:94f9])
 by smtp.gmail.com with ESMTPSA id f67sm16510768wme.16.2019.11.17.02.56.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 Nov 2019 02:56:48 -0800 (PST)
References: <87y2wfptj5.fsf@HIDDEN> <874kz2vrem.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
In-reply-to: <874kz2vrem.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 11:56:41 +0100
Message-ID: <8736emvkie.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::434
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


> It seems to be also an issue for evaluations that look successful but
> are reported as failed, see here:

Looking at those evaluation logs, I think there is yet another issue. On
core-updates:

* Evaluation 8747 fails because it cannot build curl
(https://ci.guix.gnu.org/eval/8748/log/raw).

* Next evaluation 8762, considers curl build as previously failed:
--8<---------------cut here---------------start------------->8---
Computing Guix derivation for 'x86_64-linux'...  builder for `/gnu/store/1510sg9h2ivq4841gqm9dhmq5l50a52b-curl-7.66.0' failed previously (cached)
@ build-failed /gnu/store/pqfnxfk5xx0ngc32wlq87vhchh80mnkw-curl-7.66.0.drv - cached--8<---------------cut here---------------end--------------->8---
and fails immediately.

The curl build problem (at 8747 evaluation) seems related to some failed
test case (1242) that I cannot reproduce locally.

Will all future evaluations re-use this cache and also fail immediately?
If yes, how can we unblock the situation?

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at 38232 <at> debbugs.gnu.org:


Received: (at 38232) by debbugs.gnu.org; 17 Nov 2019 08:28:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 03:28:06 2019
Received: from localhost ([127.0.0.1]:40229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWFuf-0005xp-Sh
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 03:28:06 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:44842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWFub-0005wk-Ti
 for 38232 <at> debbugs.gnu.org; Sun, 17 Nov 2019 03:28:02 -0500
Received: by mail-wr1-f50.google.com with SMTP id f2so15853839wrs.11
 for <38232 <at> debbugs.gnu.org>; Sun, 17 Nov 2019 00:28:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=lUbEOF9+QLlo9twREH07Mk3Ly2p2x1nrrLt+edEjM6k=;
 b=T9iHV9CWjs3aaBJ6ut/oSenqUN8cHKZRpYYyTVjiB4D2FbL5COyeguUsMwRJCIjkD/
 zDwHmt1Yd6n2J7Yv1VoEUc2xFQMYnZZdEfkpqPacG6KnVzUVTGH9JCUhpuIM6dGGAd+o
 o6n7ITionxLrq/DPAdmGdU4E0jsGbUgb2h4NdEM2rD/XWgiZ5qqDXRTU+IrFE6kAtUYd
 3ZrP8wjsWAfsBZQH5g77luv8TKxNT01Xk6PxAW05mbZf//HVdCSRIo9axa3JIS+UA4Av
 gFE1T208x3Go2hm5k3ilWp1n5jcqNmwoYjbn6+thWO2T9JhJir6jonyO/Dqbm+5Me2tK
 YKJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=lUbEOF9+QLlo9twREH07Mk3Ly2p2x1nrrLt+edEjM6k=;
 b=IqmfMcO9A/GzvKRLLcQQonOg3t5U9VWorTrYZAlGUz2Kha5oz+Jup0qTIWUdt1hfBN
 /XOZGEJuIF9XvFQr8ktGOQ/GGqNxOOV71v66QT23nASbFJwbgqXWFsq/5O5fRuV+R/ca
 33AoaqbWQ+90sQY4jye6tbEmj72YbMatJLY6FzW4EsdoNAixyo2G9EWz+me/0NvcqNZb
 4WiRSCqmRt8Kb2EwtPuXRD7LDSVsGvF4yH/4qXTtcxx7NAFBHgaDfzYD8wRxUQAVCuJD
 jz8LyLSioflGH69MZN/lszhGRRRJwyeLkl/JfdLNUmbWcqjyvXLSHoCTs0DUgxPVnmBL
 Nzwg==
X-Gm-Message-State: APjAAAXvItN4Z6jDieIcfrqE552xd9woH/n7P045eLBgJj3BiDHd05/S
 O/o/oLqs6amuvj1yvi54tYw+ptDf
X-Google-Smtp-Source: APXvYqz6XY/B5SzyRcjAN9FY0K6qg0rD+JJJl0Xqfm++ik8KXTn0uUAzMh392VuG9FGy3Y5DAE/ofA==
X-Received: by 2002:a05:6000:12d1:: with SMTP id
 l17mr23588413wrx.261.1573979275779; 
 Sun, 17 Nov 2019 00:27:55 -0800 (PST)
Received: from cervin ([2a01:e0a:fa:a50:91fd:8f59:7912:94f9])
 by smtp.gmail.com with ESMTPSA id b3sm16855048wmh.17.2019.11.17.00.27.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 Nov 2019 00:27:54 -0800 (PST)
References: <87y2wfptj5.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
In-reply-to: <87y2wfptj5.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 09:27:45 +0100
Message-ID: <874kz2vrem.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38232
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

It seems to be also an issue for evaluations that look successful but
are reported as failed, see here:

https://ci.guix.gnu.org/eval/8641/log/raw -> mark as failed
https://ci.guix.gnu.org/eval/8725/log/raw -> mark as failed

Mathieu





Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Nov 2019 08:28:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 03:28:02 2019
Received: from localhost ([127.0.0.1]:40227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWFuc-0005xT-JC
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 03:28:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:49752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWFub-0005wr-5K
 for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 03:28:01 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52935)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWFuZ-0006FL-VY
 for bug-guix@HIDDEN; Sun, 17 Nov 2019 03:28:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1iWFuY-0006b1-No
 for bug-guix@HIDDEN; Sun, 17 Nov 2019 03:27:59 -0500
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:36804)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1iWFuY-0006Wp-Fp
 for bug-guix@HIDDEN; Sun, 17 Nov 2019 03:27:58 -0500
Received: by mail-wr1-x434.google.com with SMTP id r10so15877543wrx.3
 for <bug-guix@HIDDEN>; Sun, 17 Nov 2019 00:27:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=lUbEOF9+QLlo9twREH07Mk3Ly2p2x1nrrLt+edEjM6k=;
 b=T9iHV9CWjs3aaBJ6ut/oSenqUN8cHKZRpYYyTVjiB4D2FbL5COyeguUsMwRJCIjkD/
 zDwHmt1Yd6n2J7Yv1VoEUc2xFQMYnZZdEfkpqPacG6KnVzUVTGH9JCUhpuIM6dGGAd+o
 o6n7ITionxLrq/DPAdmGdU4E0jsGbUgb2h4NdEM2rD/XWgiZ5qqDXRTU+IrFE6kAtUYd
 3ZrP8wjsWAfsBZQH5g77luv8TKxNT01Xk6PxAW05mbZf//HVdCSRIo9axa3JIS+UA4Av
 gFE1T208x3Go2hm5k3ilWp1n5jcqNmwoYjbn6+thWO2T9JhJir6jonyO/Dqbm+5Me2tK
 YKJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=lUbEOF9+QLlo9twREH07Mk3Ly2p2x1nrrLt+edEjM6k=;
 b=XeTSWI8qBpGS31b+hZ1px9p+7LjBMuKtKJXpiI46ghRmDDIh7fE/SBXRmwuclkYEIL
 jHPTRGiXXk6Xoj3KgtlWjm6iveO7aN8vFwcrcyuKJratHNbE43lrjPNRX1grciYsvFoZ
 tMODy8KcJXxkO7M3aqoKWn9evVdB/7daPYyv/5H+w9ceshnp6XUbiSwFVd0ijrBZsN8i
 TUumHqIIDJGSsag/7UyZHL6NY9MDMYG9PqPOXn1gBGGPzAeGgG/u5pQU5vImxY05qTlG
 0JuIXU73JTuFTIzT6eN7CWQvawtASPC0Ps3PlMduCxiPtQz0FVpqgBDsf+lbmkQELbTI
 h4Qg==
X-Gm-Message-State: APjAAAVNrxP+DyKxdIsGbPQhOHUfWe9xSvGALMAbW5v9M94m0yoeu8tr
 bY7RR0U93nDDiVLIxQa99l0=
X-Google-Smtp-Source: APXvYqz6XY/B5SzyRcjAN9FY0K6qg0rD+JJJl0Xqfm++ik8KXTn0uUAzMh392VuG9FGy3Y5DAE/ofA==
X-Received: by 2002:a05:6000:12d1:: with SMTP id
 l17mr23588413wrx.261.1573979275779; 
 Sun, 17 Nov 2019 00:27:55 -0800 (PST)
Received: from cervin ([2a01:e0a:fa:a50:91fd:8f59:7912:94f9])
 by smtp.gmail.com with ESMTPSA id b3sm16855048wmh.17.2019.11.17.00.27.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 Nov 2019 00:27:54 -0800 (PST)
References: <87y2wfptj5.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends
 with 'build-succeeded'
In-reply-to: <87y2wfptj5.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 09:27:45 +0100
Message-ID: <874kz2vrem.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::434
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 38232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hello,

It seems to be also an issue for evaluations that look successful but
are reported as failed, see here:

https://ci.guix.gnu.org/eval/8641/log/raw -> mark as failed
https://ci.guix.gnu.org/eval/8725/log/raw -> mark as failed

Mathieu





Information forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2019 18:26:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 16 13:26:14 2019
Received: from localhost ([127.0.0.1]:39692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iW2ly-0001t8-CD
	for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 13:26:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:33828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iW2lv-0001t0-LV
 for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 13:26:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41839)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iW2lu-0003mZ-NS
 for bug-guix@HIDDEN; Sat, 16 Nov 2019 13:26:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_05,BODY_URI_ONLY,
 FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iW2lt-0003j3-Qa
 for bug-guix@HIDDEN; Sat, 16 Nov 2019 13:26:10 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:39548)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <clement.lassieur@HIDDEN>)
 id 1iW2lt-0003is-LM
 for bug-guix@HIDDEN; Sat, 16 Nov 2019 13:26:09 -0500
Received: by mail-wm1-f49.google.com with SMTP id t26so14281630wmi.4
 for <bug-guix@HIDDEN>; Sat, 16 Nov 2019 10:26:09 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=Pz8A7U459RpEqKvWlFodH7HOzubWfvXYxgHeFue+wWY=;
 b=esvWaWOG/Lz1pqDnii3Sg0YzlXE6sbR8dkFrD/LIRaoCCkZaw988KUyC8qs5NKHruT
 Yv2WCLP/NQ4EW/OLRUufYw80Qm9GRqr5ag3jw8pV2yQ7eQ3+PqcWaIb/YTjxtfxV7zi1
 yY/BOf6Pi43bHmrR5eDv9qnk6dnWuIc4dX4xfrrde5Pn0+h4Tj+0YZO6FH/iro2IIS0X
 JdFxv5fNXJuRslZchHPBYtF8od5GIKD9zDnNxPg3Na+qo036DMOMXhMvRqTK1kByOLhy
 7t2MXBWFaNBKRCBo/xpS5HX7FAfq9c5ugyzcof5m9bw9ojFGJjof5D9efWYs9D3k5a1j
 s7Qg==
X-Gm-Message-State: APjAAAViUyDrDALnMVoN2QI0B+vViBLy2Q1FxkfIX20z96H7XbwzHHnV
 vAlB3EaXgxqfRFWCddBwnV6i7Ny6
X-Google-Smtp-Source: APXvYqx8EL+P/VFGXKWu/qiKdFDwECEunlDebCp4cpjQOqazzPtcKJGK4RWsO7KPc9lyVEHT0igEQQ==
X-Received: by 2002:a1c:7f54:: with SMTP id a81mr21991620wmd.48.1573928767911; 
 Sat, 16 Nov 2019 10:26:07 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:311f:684b:e163:58d6])
 by smtp.gmail.com with ESMTPSA id 16sm18559423wmf.0.2019.11.16.10.26.06
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 16 Nov 2019 10:26:07 -0800 (PST)
User-agent: mu4e 1.2.0; emacs 26.3
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: bug-guix@HIDDEN
Subject: Cuirass: Some builds fail although their log file ends with
 'build-succeeded'
Date: Sat, 16 Nov 2019 19:26:06 +0100
Message-ID: <87y2wfptj5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.128.49
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  See https://ci.guix.info/build/1934383/details. 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: guix.info]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (clement.lassieur[at]gmail.com)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 1.0 BODY_URI_ONLY          Message body is only a URI in one line of text or
 for an image
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

See https://ci.guix.info/build/1934383/details.




Acknowledgement sent to Clément Lassieur <clement@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38232; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.